Package org.apache.sling.query.impl.resource.jcr.query

## Class Atomic

- java.lang.Object
- - org.apache.sling.query.impl.resource.jcr.query.Atomic

All Implemented Interfaces:
  `Term`

    public class Atomic
    extends Object
    implements Term

### Constructor Summary

Constructors
`Atomic​(String condition)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `buildString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Atomic

    public Atomic​(String condition)

### Method Detail

#### buildString

    public String buildString()

Specified by:
  `buildString` in interface `Term`